package com.loganmagnan.bedwars.menus.arena;

import com.loganmagnan.bedwars.BedWars;
import com.loganmagnan.bedwars.utils.menu.Button;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import com.loganmagnan.bedwars.menus.arena.buttons.ArenaButton;
import com.loganmagnan.bedwars.utils.CC;
import com.loganmagnan.bedwars.utils.ItemBuilder;
import com.loganmagnan.bedwars.utils.menu.pagination.PageButton;
import com.loganmagnan.bedwars.utils.menu.pagination.PaginatedMenu;

import java.util.HashMap;
import java.util.Map;

public class ArenaManageMenu extends PaginatedMenu {

	private final BedWars plugin = BedWars.getInstance();

	@Override
	public String getPrePaginatedTitle(Player player) {
		return CC.translate("&eArena Management");
	}

	@Override
	public Map<Integer, Button> getAllPagesButtons(Player player) {
		Map<Integer, Button> buttons = new HashMap<>();
		this.plugin.getArenaManager().getArenas().forEach((s, arena) -> buttons.put(buttons.size(), new ArenaButton(arena)));

		return buttons;
	}

	@Override
	public Map<Integer, Button> getGlobalButtons(Player player) {
		Map<Integer, Button> buttons = new HashMap<>();

		buttons.put(0, new PageButton(-1, this));
		buttons.put(8, new PageButton(1, this));

		bottomTopButtons(false, buttons, new ItemBuilder(Material.STAINED_GLASS_PANE).name(" ").durability(7).build());

		return buttons;
	}

	@Override
	public int getSize() {
		return 9 * 5;
	}

	@Override
	public int getMaxItemsPerPage(Player player) {
		return 9 * 3;
	}
}
